### Method

# Rest ProxyCall invoke_async

#### Declaration [src]

    void
    rest_proxy_call_invoke_async (
      RestProxyCall* call,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `rest_proxy_call_invoke_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  An optional `GCancellable` that can be used to cancel the call, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the async call is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.